BackslashUtil (Axis API)
Keywords: org.apache.axis.wsdl.symbolTable.BackslashUtil class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.symbolTable
Class BackslashUtil

    java.lang.Object
      org.apache.axis.wsdl.symbolTable.BackslashUtil

All Implemented Interfaces:
  java.io.Serializable

public class BackslashUtil
extends java.lang.Object
implements java.io.Serializable

Author:
  dbyrne Created in response to AXIS-2088. This class exposes a handful of static utility methods that are used to manipulate backslash chars w/in the context of QName objects.
See Also:
  Serialized Form

Constructor Summary
`BackslashUtil()`

Method Summary
`static java.lang.String` | `applyBackslashes(java.lang.String string)` Slave method for getQNameWithBackslashedLocal()
`static QName` | `getQNameWithBackslashedLocal(QName suspectQName)`
`static QName` | `getQNameWithBackslashlessLocal(QName suspectQName)`
`static QName` | `getQNameWithDifferentLocal(QName qName, java.lang.String localName)` Creates a copy of the supplied QName w/ the supplied local name
`static java.lang.String` | `stripBackslashes(java.lang.String string)` Slave method for getQNameWithBackslashlessLocal
`static java.lang.String` | `transformBackslashes(java.lang.String string, boolean delete)` Slave method for applyBackslashes & stripBackslashes .

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BackslashUtil

    public BackslashUtil()

Method Detail

### getQNameWithBackslashlessLocal

    public static QName getQNameWithBackslashlessLocal(QName suspectQName)

  Returns:
    QName[local] w/ no backslashes

### getQNameWithBackslashedLocal

    public static QName getQNameWithBackslashedLocal(QName suspectQName)

  Returns:
    QName[local] w/ escaped backslashes

### getQNameWithDifferentLocal

    public static QName getQNameWithDifferentLocal(QName qName,
                                                   java.lang.String localName)

  Creates a copy of the supplied QName w/ the supplied local name

### applyBackslashes

    public static java.lang.String applyBackslashes(java.lang.String string)

  Slave method for getQNameWithBackslashedLocal()

### stripBackslashes

    public static java.lang.String stripBackslashes(java.lang.String string)

  Slave method for getQNameWithBackslashlessLocal

### transformBackslashes

    public static java.lang.String transformBackslashes(java.lang.String string,
                                                        boolean delete)

  Slave method for applyBackslashes & stripBackslashes .

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.